@import "../../styles/_variables.scss";

footer {
    position: static;
    width: 100%;
    padding: 2%;
    background-color: $tertiary-color;

    a,
    :link {
        cursor: pointer;
        text-decoration: none;

        &:hover {
            color: $primary-color;
            text-decoration: underline;
        }
    }
    .toast {
        margin-left: 70%;
    }
}

.footer_header-container,
.socialMedia,
.newsLetter {
    display: flex;
}

.footer_header-container {
    justify-content: space-around;
    align-items: center;
    color: white;
    width: 80%;
    margin-right: auto !important;
    margin-left: auto !important;
}

.socialMedia,
.newsLetter {
    flex-direction: column;
    align-items: center;
    // width: 20%;
}

.newsLetter {
    .input-group {
        width: 50%;
    }
}

.bi {
    font-size: 2em;
    color: white;

    &:hover {
        color: $primary-color;
    }
}

.socialMedia-icons {
    display: flex;
    justify-content: space-around;
    width: 50%;
}

.footer_content-container {
    display: flex;
    justify-content: space-around;
    // width: 70%;
    margin: 2% auto auto;

    * {
        color: white;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }

    hr {
        width: 2px;
        height: inherit;
        margin: 0;
    }

    // > div:not(:last-child) {
    //     padding-right: 50px;
    //     border-right: 1px solid white;

    //     > div:last-child {
    //         margin-top: 20px;
    //     }
    // }
}

.copyright {
    color: white;
    margin-top: 1%;
    font-size: 0.8em;
    font-weight: bold;
    text-align: center;
}

@media all and (max-width: 992px) {
    footer {
        .footer_header-container {
            text-align: center;

            .socialMedia-icons {
                margin: auto;
            }
        }

        .footer_content-container {
            flex-direction: column;
            // align-items: center;

            div {
                text-align: center;
                margin: 2%;
                align-items: center;
            }
        }

        .socialMedia {
            margin-bottom: 5%;
        }
    }
}
